Package com.independentsoft.graph.sites

# Class NumberColumn

java.lang.Object
com.independentsoft.graph.sites.Column
com.independentsoft.graph.sites.NumberColumn

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class NumberColumn extends Column

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberColumn()`
  `NumberColumn​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumberDecimalPlaces`
  `getDecimalPlaces()`
  `NumberDisplayAs`
  `getDisplayAs()`
  `double`
  `getMaximum()`
  `double`
  `getMinimum()`
  `void`
  `setDecimalPlaces​(NumberDecimalPlaces decimalPlaces)`
  `void`
  `setDisplayAs​(NumberDisplayAs displayAs)`
  `void`
  `setFormula​(double minimum)`
  `void`
  `setMaximum​(double maximum)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberColumn

    public NumberColumn()

  - ### NumberColumn

    public NumberColumn​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### getDecimalPlaces

    public NumberDecimalPlaces getDecimalPlaces()

  - ### setDecimalPlaces

    public void setDecimalPlaces​(NumberDecimalPlaces decimalPlaces)

  - ### getDisplayAs

    public NumberDisplayAs getDisplayAs()

  - ### setDisplayAs

    public void setDisplayAs​(NumberDisplayAs displayAs)

  - ### getMaximum

    public double getMaximum()

  - ### setMaximum

    public void setMaximum​(double maximum)

  - ### getMinimum

    public double getMinimum()

  - ### setFormula

    public void setFormula​(double minimum)